# Civic AI

**Civic AI** is a Drupal module that integrates AI-driven features into civic engagement platforms. It provides routes, permissions, and interface elements designed to support public decision-making and automated assistance.

## Features

- Custom routes for AI interaction
- Menu integration
- Permissions for managing access
- Extensible architecture via the `src/` directory

## Requirements

- Drupal 10 or later

## Installation

Using Composer:

```bash
composer require drupal/civic_ai
```

Or manually place the module in your `modules/custom` directory and enable it:

```bash
drush en civic_ai
```

## Configuration

1. Navigate to **Extend** and enable the *Civic AI* module.
2. Assign appropriate permissions under **People > Permissions**.
3. Access the module’s routes through the site's menu system or directly via configured paths.

## File Structure

- `civic_ai.info.yml` — Module metadata
- `civic_ai.module` — Custom PHP logic
- `civic_ai.routing.yml` — Defines custom routes
- `civic_ai.links.menu.yml` — Adds menu links
- `civic_ai.permissions.yml` — Manages user access control
- `src/` — Controllers, services, and business logic

## Maintainers

- [Your Name or Organization]

## License

This project is licensed under the **GNU General Public License v2.0 or later**. See `LICENSE.txt` for details.
